/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { AutocompleteInputProps, AutocompleteValueType } from './autocomplete.types';
interface IState {
    value: AutocompleteValueType;
    error: boolean;
}
export declare class AutocompleteInput extends Component<AutocompleteInputProps, IState> implements Omit<InputImplement<AutocompleteValueType>, 'onChange'> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | undefined;
    private getDefaultsValue;
    shouldComponentUpdate(nextProps: AutocompleteInputProps, nextState: IState): boolean;
    setValue(value: AutocompleteValueType): Promise<any>;
    getValue(): AutocompleteValueType;
    clear(): Promise<any>;
    validation(): boolean;
    onChange: (_: React.SyntheticEvent, value: AutocompleteValueType) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
