/// <reference types="react" />
import { AutocompleteProps } from '@mui/material';
import { Variant } from '../../types/helper.types';
import { BaseInput } from '../../types/input.base';
import { TextInputProps } from '../text/text.types';
export declare type AutocompleteOptionType = {
    label: string;
    value: string;
} | string;
export declare type AutocompleteValueType = AutocompleteOptionType[] | undefined | null;
export interface AutocompleteInputProps extends BaseInput<AutocompleteOptionType[]>, Omit<AutocompleteProps<AutocompleteOptionType, true, false, true, 'div'>, 'renderInput'> {
    type: 'autocomplete';
    variant?: Variant;
    label?: string;
    renderInput?: (params: TextInputProps) => React.ReactNode;
    InputProps?: TextInputProps;
}
